com.atid.lib.module.barcode.spc.type

## Enum ResponseType

- java.lang.Object
- - java.lang.Enum<ResponseType>
  - - com.atid.lib.module.barcode.spc.type.ResponseType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ResponseType>

      public enum ResponseType
      extends java.lang.Enum<ResponseType>
      implements IEnumType

  The device responds to serial commands with one of three responses: ACK (0x06) Indicates a good command which has been processed. ENQ (0x05) Indicates an invalid Tag or SubTag command. NAK (0x15) Indicates the command was good, but the Data field entry was out of the allowable range for this Tag and SubTag combination, e.g., an entry for a minimum message length of 100 when the field will only accept 2 characters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InvalidCommand`
    `InvalidData`
    `Success`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ResponseType` | `valueOf(int code)`
    `static ResponseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final ResponseType Unknown

    - #### Success

          public static final ResponseType Success

    - #### InvalidCommand

          public static final ResponseType InvalidCommand

    - #### InvalidData

          public static final ResponseType InvalidData

  - ### Method Detail

    - #### values

          public static ResponseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseType c : ResponseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ResponseType>`

    - #### valueOf

          public static ResponseType valueOf(int code)